# _ResampleFilter Struct Reference

## Data Fields

Image * | image
ViewInfo * | view
ExceptionInfo * | exception
MagickBooleanType | debug
long | image_area
InterpolatePixelMethod | interpolate
VirtualPixelMethod | virtual_pixel
FilterTypes | filter
MagickBooleanType | limit_reached
MagickBooleanType | do_interpolate
MagickBooleanType | average_defined
MagickPixelPacket | average_pixel
double | A
double | B
double | C
double | sqrtA
double | sqrtC
double | sqrtU
double | slope
double | filter_lut [WLUT_WIDTH]
double | support
unsigned long | signature

## Field Documentation

Image* _ResampleFilter::image

ViewInfo* _ResampleFilter::view

ExceptionInfo* _ResampleFilter::exception

MagickBooleanType _ResampleFilter::debug

long _ResampleFilter::image_area

InterpolatePixelMethod _ResampleFilter::interpolate

VirtualPixelMethod _ResampleFilter::virtual_pixel

FilterTypes _ResampleFilter::filter

MagickBooleanType _ResampleFilter::limit_reached

MagickBooleanType _ResampleFilter::do_interpolate

MagickBooleanType _ResampleFilter::average_defined

MagickPixelPacket _ResampleFilter::average_pixel

double _ResampleFilter::A

double _ResampleFilter::B

double _ResampleFilter::C

double _ResampleFilter::sqrtA

double _ResampleFilter::sqrtC

double _ResampleFilter::sqrtU

double _ResampleFilter::slope

double _ResampleFilter::filter_lut[WLUT_WIDTH]

double _ResampleFilter::support

unsigned long _ResampleFilter::signature

The documentation for this struct was generated from the following file:

- resample.c